Request presigned upload URL (deprecated)
curl --request POST \
--url https://enterprise.tavrn.ai/v2/cases/{case_id}/documents/sign-upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_name": "medical_record.pdf",
"file_type": "application/pdf"
}
'import requests
url = "https://enterprise.tavrn.ai/v2/cases/{case_id}/documents/sign-upload"
payload = {
"file_name": "medical_record.pdf",
"file_type": "application/pdf"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({file_name: 'medical_record.pdf', file_type: 'application/pdf'})
};
fetch('https://enterprise.tavrn.ai/v2/cases/{case_id}/documents/sign-upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://enterprise.tavrn.ai/v2/cases/{case_id}/documents/sign-upload",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file_name' => 'medical_record.pdf',
'file_type' => 'application/pdf'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://enterprise.tavrn.ai/v2/cases/{case_id}/documents/sign-upload"
payload := strings.NewReader("{\n \"file_name\": \"medical_record.pdf\",\n \"file_type\": \"application/pdf\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://enterprise.tavrn.ai/v2/cases/{case_id}/documents/sign-upload")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"file_name\": \"medical_record.pdf\",\n \"file_type\": \"application/pdf\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://enterprise.tavrn.ai/v2/cases/{case_id}/documents/sign-upload")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file_name\": \"medical_record.pdf\",\n \"file_type\": \"application/pdf\"\n}"
response = http.request(request)
puts response.read_body{
"upload_id": "11111111-1111-4111-8111-111111111111",
"upload_url": "https://s3.amazonaws.com/...",
"expires_at": "2025-02-01T13:34:56Z"
}{
"error": {
"code": "validation_error",
"message": "The patient.date_of_birth field is required"
}
}{
"error": {
"code": "validation_error",
"message": "The patient.date_of_birth field is required"
}
}Case Documents
Request presigned upload URL (deprecated)
deprecated
Deprecated. Use POST /v2/cases/{case_id}/sign-upload instead. Request and response shapes are the same.
POST
/
v2
/
cases
/
{case_id}
/
documents
/
sign-upload
Request presigned upload URL (deprecated)
curl --request POST \
--url https://enterprise.tavrn.ai/v2/cases/{case_id}/documents/sign-upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_name": "medical_record.pdf",
"file_type": "application/pdf"
}
'import requests
url = "https://enterprise.tavrn.ai/v2/cases/{case_id}/documents/sign-upload"
payload = {
"file_name": "medical_record.pdf",
"file_type": "application/pdf"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({file_name: 'medical_record.pdf', file_type: 'application/pdf'})
};
fetch('https://enterprise.tavrn.ai/v2/cases/{case_id}/documents/sign-upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://enterprise.tavrn.ai/v2/cases/{case_id}/documents/sign-upload",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file_name' => 'medical_record.pdf',
'file_type' => 'application/pdf'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://enterprise.tavrn.ai/v2/cases/{case_id}/documents/sign-upload"
payload := strings.NewReader("{\n \"file_name\": \"medical_record.pdf\",\n \"file_type\": \"application/pdf\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://enterprise.tavrn.ai/v2/cases/{case_id}/documents/sign-upload")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"file_name\": \"medical_record.pdf\",\n \"file_type\": \"application/pdf\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://enterprise.tavrn.ai/v2/cases/{case_id}/documents/sign-upload")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file_name\": \"medical_record.pdf\",\n \"file_type\": \"application/pdf\"\n}"
response = http.request(request)
puts response.read_body{
"upload_id": "11111111-1111-4111-8111-111111111111",
"upload_url": "https://s3.amazonaws.com/...",
"expires_at": "2025-02-01T13:34:56Z"
}{
"error": {
"code": "validation_error",
"message": "The patient.date_of_birth field is required"
}
}{
"error": {
"code": "validation_error",
"message": "The patient.date_of_birth field is required"
}
}Authorizations
API key authentication. Use format: Authorization: Bearer tavrn_sk_live_...
Path Parameters
Case ID
Body
application/json
Response
Presigned URL generated
Temporary upload identifier. Consume within one hour of signing.
Example:
"11111111-1111-4111-8111-111111111111"
Presigned PUT URL. Upload bytes within 15 minutes.
Example:
"https://s3.amazonaws.com/..."
Upload identifier expiry, one hour after signing. The PUT URL expires after 15 minutes.
Example:
"2025-02-01T13:34:56Z"